CLKBRD(4)

NAME
clkbrd - clock board

SYNOPSIS
device clkbrd

DESCRIPTION
The clkbrd driver provides support for the clock board found in Sun Enterprise xx00 systems. The clock board has three status LEDs labeled “Power”, “Failure” and “Cycling”. These LEDs are also mirrored on the main front panel. The “Cycling” LED can be made to blink by writing ASCII strings to the /dev/led/clockboard device.

On attach the clkbrd driver also prints out the number of board slots the chassis provides.

FILES

/dev/led/clockboard
    clock board LED device node

SEE ALSO
fhc(4), led(4)

HISTORY
The clkbrd driver first appeared in OpenBSD 3.7. The first FreeBSD version to include it was FreeBSD 6.0.

AUTHORS
-nosplit The clkbrd driver was written by Jason L. Wright and ported to FreeBSD by Marius Strobl <marius@FreeBSD.org>.

CAVEATS
Hardware management functionality is not implemented.